Create an inventory category
Creates a new inventory category for organizing inventory items. Supports hierarchical parent-child relationships.
Creates a new inventory category for organizing inventory items. Supports hierarchical parent-child relationships.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/inventory/categories" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "data": { "id": "string", "organizationId": "string", "parentId": "string", "name": "string", "description": "string", "icon": "string", "sortOrder": 0, "isActive": true, "createdAt": "string", "updatedAt": "string" }}Empty
Empty
Create an adjustment reason POST
Creates a custom stock adjustment reason for the organization. A unique key is auto-generated from the label if not provided.
Create an inventory item POST
Creates a new inventory item in the organization's catalog. If the initial quantity is greater than zero, an initial stock adjustment is automatically recorded.